org.eclnt.jsfserver.elements.componentnodes

## Class HTROWHEADERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTROWHEADERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTROWHEADERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTROWHEADERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTROWHEADERNode` | `bindComment(IDynamicContentBindingObject value)`
    `HTROWHEADERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTROWHEADERNode` | `bindHeight(IDynamicContentBindingObject value)`
    `HTROWHEADERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTROWHEADERNode` | `bindStyle(IDynamicContentBindingObject value)`
    `HTROWHEADERNode` | `bindStyleClass(IDynamicContentBindingObject value)`
    `HTROWHEADERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HTROWHEADERNode` | `bindWidth(IDynamicContentBindingObject value)`
    `HTROWHEADERNode` | `setAttributemacro(java.lang.String value)`
    `HTROWHEADERNode` | `setComment(java.lang.String value)`
    `HTROWHEADERNode` | `setComponentbinding(java.lang.String value)`
    `HTROWHEADERNode` | `setConfiginfo(java.lang.String value)`
    `HTROWHEADERNode` | `setHeight(int value)`
    `HTROWHEADERNode` | `setHeight(java.lang.String value)`
    `HTROWHEADERNode` | `setId(java.lang.String value)`
    `HTROWHEADERNode` | `setReference(java.lang.String value)`
    `HTROWHEADERNode` | `setRendered(boolean value)`
    `HTROWHEADERNode` | `setRendered(java.lang.String value)`
    `HTROWHEADERNode` | `setStyle(java.lang.String value)`
    `HTROWHEADERNode` | `setStyleClass(java.lang.String value)`
    `HTROWHEADERNode` | `setStylevariant(java.lang.String value)`
    `HTROWHEADERNode` | `setWidth(int value)`
    `HTROWHEADERNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTROWHEADERNode

          public HTROWHEADERNode()

  - ### Method Detail

    - #### setId

          public HTROWHEADERNode setId(java.lang.String value)

    - #### setAttributemacro

          public HTROWHEADERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public HTROWHEADERNode setComment(java.lang.String value)

    - #### bindComment

          public HTROWHEADERNode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public HTROWHEADERNode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public HTROWHEADERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTROWHEADERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public HTROWHEADERNode setHeight(java.lang.String value)

    - #### bindHeight

          public HTROWHEADERNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public HTROWHEADERNode setHeight(int value)

    - #### setReference

          public HTROWHEADERNode setReference(java.lang.String value)

    - #### setRendered

          public HTROWHEADERNode setRendered(java.lang.String value)

    - #### bindRendered

          public HTROWHEADERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTROWHEADERNode setRendered(boolean value)

    - #### setStyle

          public HTROWHEADERNode setStyle(java.lang.String value)

    - #### bindStyle

          public HTROWHEADERNode bindStyle(IDynamicContentBindingObject value)

    - #### setStyleClass

          public HTROWHEADERNode setStyleClass(java.lang.String value)

    - #### bindStyleClass

          public HTROWHEADERNode bindStyleClass(IDynamicContentBindingObject value)

    - #### setStylevariant

          public HTROWHEADERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HTROWHEADERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public HTROWHEADERNode setWidth(java.lang.String value)

    - #### bindWidth

          public HTROWHEADERNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HTROWHEADERNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.